Bug 1253009 - error message shown in /var/log/message even with successful request
error message shown in /var/log/message even with successful request
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: certmonger (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Kaleem
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 13:34 EDT by Kaleem
Modified: 2017-08-02 02:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleem 2015-08-12 13:34:52 EDT
Description of problem:
Error message "Error reading request, expected PKCS7 data." shown in /var/log/message even with successful request.

Version-Release number of selected component (if applicable):
[root@qe-blade-01 ~]# rpm -q certmonger
certmonger-0.78.4-1.el7.x86_64
[root@qe-blade-01 ~]#

How reproducible:
Always

Steps to Reproduce:
[root@dhcp207-62 ~]# getcert request -c scepca -k /root/sceptest/newkey.prv -f /root/sceptest/newcert.cer -I newtest -L EA90FEF73AD5DA5A203F590AC1428CCC
New signing request "newtest" added.
[root@dhcp207-62 ~]# getcert list -i newtest
Number of certificates and requests being tracked: 1.
Request ID 'newtest':
	status: MONITORING
	stuck: no
	key pair storage: type=FILE,location='/root/sceptest/newkey.prv'
	certificate: type=FILE,location='/root/sceptest/newcert.cer'
	signing request thumbprint (MD5): AC1F5B97 3D75C9D5 AE743029 B3C99D12
	signing request thumbprint (SHA1): A7E31396 8A12D3F0 709A2FA3 54166305 FD697FF7
	CA: scepca
	issuer: CN=sceptest-SCEPTEST-CA,DC=sceptest,DC=qe
	subject: CN=dhcp207-62.testrelm.test
	expires: 2017-08-11 10:29:55 UTC
	dns: dhcp207-62.testrelm.test
	key usage: digitalSignature,keyEncipherment
	eku: iso.org.dod.internet.security.mechanisms.8.2.2
	certificate template/profile: IPSECIntermediateOffline
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
[root@dhcp207-62 ~]# tail -n 5 /var/log/messages 
Aug 12 18:45:35 dhcp207-62 certmonger: 2015-08-12 18:45:35 [24318] Error reading request, expected PKCS7 data.
Aug 12 18:45:35 dhcp207-62 certmonger: Certificate in file "/root/sceptest/newcert.cer" issued by CA and saved.
[root@dhcp207-62 ~]# 

Actual results:
error message in /var/log/message for successful request

Expected results:
No error message in /var/log/message for successful requests

Note You need to log in before you can comment on or make changes to this bug.